"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var d3_1 = require("d3");
exports.getNormalizedOffset = function (value, max) {
    return value < max / 2 ? 1 - value / (max / 2) : (-1 * (value - max / 2)) / (max / 2);
};
exports.getSteppedValue = function (value, step) {
    return value - (value % step);
};
exports.getEventCoords = function (width, height) { return [
    Math.max(0, Math.min(width, d3_1.event.x)),
    Math.max(0, Math.min(height, d3_1.event.y)),
]; };
exports.getDragTarget = function () { return d3_1.event.sourceEvent.target.__data__; };
exports.getValueFromPos = function (pos, posMax, min, max) { return (pos / posMax) * (max - min) + min; };
exports.getPosFromValue = function (value, maxPos, min, max) { return ((value - min) / (max - min)) * maxPos; };
//# sourceMappingURL=utils.js.map